
\ProvidesPackage{beamerfontthemePTB}[2022/09/30 v2.1.2 PTB (RN)]%

\mode<presentation>

\iftutex% LuaTeX or XeTeX
  \RequirePackage[no-math]{fontspec}    
  \setsansfont{texgyreheros}[
    Ligatures=TeX,
    Extension=.otf,
    UprightFont=*-regular,
    BoldFont=*-bold,
    ItalicFont=*-italic,
    BoldItalicFont=*-bolditalic]
  \setmonofont{AnonymousPro-Regular}[%
    Extension = .ttf,
    BoldFont = AnonymousPro-Bold,
    ItalicFont = AnonymousPro-Italic,
    BoldItalicFont = AnonymousPro-BoldItalic,
    Scale     = 1.05, 
    RawFeature={embolden=.5}
  ]
  
  \RequirePackage{unicode-math} 
  \setmathfont{FiraMath-Regular.otf}[
    Scale=1,
    math-style=TeX,
    bold-style=TeX,
    Numbers={Lining,Proportional},
  ]
  \unimathsetup{%
    math-style = TeX,
    bold-style = TeX,
    mathrm     = sym,
    partial=upright              
  } 
  \setoperatorfont\mathsf 
  \setmathfont{texgyreheros-regular.otf}[range=up/{Latin,Greek,num}]
  \setmathfont{texgyreheros-italic.otf}[range=it/{latin,greek}]
  \setmathfont{texgyreheros-bolditalic.otf}[range=bfit/{latin,greek}]
  \setmathfont{texgyreheros-bold.otf}[range=bfup/{latin,greek}]
  
  \RequirePackage{newunicodechar}
  \newunicodechar{^^^^202f}{\,}% 'NARROW NO-BREAK SPACE' (\u202F, 8239)
  \newunicodechar{^^^^2009}{\,\hspace{0pt}}% 'THIN SPACE'
  \newunicodechar{^^^^00ad}{\-}% 'SOFT HYPHEN'
  \newunicodechar{^^^^2207}{{\setmathfont{Asana Math}^^^^2207}}% 'NABLA'
  
\else% pdfTeX or TeX+dvips
% TODO: Does a good math font exit? 
  \ClassError{\PTB@classname}{%
    Only LuaLaTeX or XeLaTeX are allowed!
  }{%
    Compile this document with LuaLaTeX or XeLaTeX.
  }  
\fi

\renewcommand{\familydefault}{\sfdefault}

% from latex/base/size11.clo, normalized to paperheight (96mm = 273.14662pt)
 
\newcommand*\PTB@norm@f[1]{% normalized to paperheight of 96mm (4:3)  
  \expandafter\strip@pt\dimexpr \paperheight / 27315 * #1 %
}

\edef\PTB@tempc{%
\noexpand\renewcommand\noexpand\normalsize{%
  \noexpand\@setfontsize\noexpand\normalsize{\PTB@norm@f{1095}}{\PTB@norm@f{1360}}%
  \noexpand\abovedisplayskip \PTB@norm@f{1100}\p@ \@plus\PTB@norm@f{300}\p@ \@minus\PTB@norm@f{600}\p@
  \noexpand\abovedisplayshortskip \z@ \@plus\PTB@norm@f{300}\p@
  \noexpand\belowdisplayshortskip \PTB@norm@f{650}\p@ \@plus\PTB@norm@f{350}\p@ \@minus\PTB@norm@f{300}\p@
  \belowdisplayskip \abovedisplayskip
  \let\noexpand\@listi\noexpand\@listI}
}
\PTB@tempc
\ifx\MakeRobust\@undefined \else
    \MakeRobust\normalsize
\fi
\edef\PTB@tempc{%
\noexpand\DeclareRobustCommand\noexpand\small{%
   \noexpand\@setfontsize\noexpand\small{\PTB@norm@f{1000}}{\PTB@norm@f{1200}}
   \noexpand\abovedisplayskip \PTB@norm@f{1000}\p@ \@plus\PTB@norm@f{200}\p@ \@minus\PTB@norm@f{500}\p@
   \noexpand\abovedisplayshortskip \z@ \@plus\PTB@norm@f{300}\p@
   \noexpand\belowdisplayshortskip \PTB@norm@f{600}\p@ \@plus\PTB@norm@f{300}\p@ \@minus\PTB@norm@f{300}\p@
   \def\noexpand\@listi{\leftmargin\leftmargini
               \topsep \PTB@norm@f{600}\p@ \@plus\PTB@norm@f{200}\p@ \@minus\PTB@norm@f{200}\p@
               \parsep \PTB@norm@f{300}\p@ \@plus\PTB@norm@f{200}\p@ \@minus\p@
               \itemsep \parsep}%
   \belowdisplayskip \abovedisplayskip
}}
\PTB@tempc
\edef\PTB@tempc{%
\noexpand\DeclareRobustCommand\noexpand\footnotesize{%
   \noexpand\@setfontsize\noexpand\footnotesize{\PTB@norm@f{900}}{\PTB@norm@f{1100}}%
   \noexpand\abovedisplayskip \PTB@norm@f{800}\p@ \@plus\PTB@norm@f{200}\p@ \@minus\PTB@norm@f{400}\p@
   \noexpand\abovedisplayshortskip \z@ \@plus\p@
   \noexpand\belowdisplayshortskip \PTB@norm@f{400}\p@ \@plus\PTB@norm@f{200}\p@ \@minus\PTB@norm@f{200}\p@
   \def\noexpand\@listi{\leftmargin\leftmargini
               \topsep \PTB@norm@f{400}\p@ \@plus\PTB@norm@f{200}\p@ \@minus\PTB@norm@f{200}\p@
               \parsep \PTB@norm@f{200}\p@ \@plus\p@ \@minus\p@
               \itemsep \parsep}%
   \belowdisplayskip \abovedisplayskip
}}
\PTB@tempc
\edef\PTB@tempc{%
\noexpand\DeclareRobustCommand\noexpand\scriptsize{\noexpand\@setfontsize\noexpand\scriptsize\@viiipt{\PTB@norm@f{950}}}
\noexpand\DeclareRobustCommand\noexpand\tiny{\noexpand\@setfontsize\noexpand\tiny{\PTB@norm@f{600}}{\PTB@norm@f{700}}}
\noexpand\DeclareRobustCommand\noexpand\large{\noexpand\@setfontsize\noexpand\large{\PTB@norm@f{1200}}{\PTB@norm@f{1400}}}
\noexpand\DeclareRobustCommand\noexpand\Large{\noexpand\@setfontsize\noexpand\Large{\PTB@norm@f{1400}}{\PTB@norm@f{1800}}}
\noexpand\DeclareRobustCommand\noexpand\LARGE{\noexpand\@setfontsize\noexpand\LARGE{\PTB@norm@f{1728}}{\PTB@norm@f{2200}}}
\noexpand\DeclareRobustCommand\noexpand\huge{\noexpand\@setfontsize\noexpand\huge{\PTB@norm@f{2074}}{\PTB@norm@f{2500}}}
\noexpand\DeclareRobustCommand\noexpand\Huge{\noexpand\@setfontsize\noexpand\Huge{\PTB@norm@f{2488}}{\PTB@norm@f{3000}}}
}
\PTB@tempc

% ---------------------------------------------------------------

\setbeamerfont*{frametitle}{size=\Large,series=\bfseries}
\setbeamerfont*{footline}{size=\tiny,series=\bfseries} 

\setbeamerfont*{title}{size=\large,series=\bfseries}
\setbeamerfont*{subtitle}{size=\small,series=\mdseries}
\setbeamerfont*{author}{size=\small,series=\mdseries}
\setbeamerfont*{date}{size=\small,series=\mdseries}
\setbeamerfont*{frametitle}{size=\Large,series=\bfseries}  
\setbeamerfont{institute}{size=\tiny}   
\setbeamerfont{item projected}{series=\bfseries}
\setbeamerfont{block title}{size=\normalsize,series=\bfseries}

\setbeamerfont*{progress bar numbers}{size=\tiny,series=\bfseries}

\mode<all>

\endinput
%%
%% End of file `beamerfontthemePTB.sty'.
